@echo off
@rem 
@rem ------------------------------------------------------------------------------
@rem Company: Software- und Organisations-Service GmbH
@rem Author : Robert Ehrlich <robert.ehrlich@sos-berlin.com>
@rem Purpose: Script to read a credential store
@rem ------------------------------------------------------------------------------
if defined JAVABIN (
 set JAVA_EXE=%JAVABIN%
) else (
   set JAVA_EXE=%JAVA_HOME%\bin\java.exe
)
if exist "%JAVA_EXE%" (
 call :set_java_exe "%JAVA_EXE%"
) else (
  set JAVA_EXE=java.exe
)
set SCHEDULER_CREDENTIAL_VALUE_ARG2=%~2
set CP=%SCHEDULER_HOME%/lib/patches/*;%SCHEDULER_HOME%/lib/3rd-party/*;%SCHEDULER_HOME%/lib/sos/*;%SCHEDULER_HOME%/lib/log/log4j/*;
for /f "usebackq tokens=1*" %%A in (`%JAVA_EXE% -classpath "%CP%" com.sos.keepass.SOSKeePassDatabase "%~1" ^|^| call echo SOS_ERROR_%%^^ERRORLEVEL%%`) do (
	if "%%~A"=="SOS_ERROR_99" (
		goto set_error_99
	)
	
	if "%%~A"=="SOS_ERROR_1" (
		goto set_error_1
	)
	
	if "%%~B"=="" (
		call :set_result "%%~A"
	) else (
		call :set_result "%%~A %%~B"
	)
	
)
goto finally

:set_java_exe
set JAVA_EXE=%~s1
goto final

:set_error_99
set SCHEDULER_CREDENTIAL_VALUE_ERROR=99
goto finally

:set_error_1
set SCHEDULER_CREDENTIAL_VALUE_ERROR=1
goto finally

:set_result
set SCHEDULER_CREDENTIAL_VALUE=%~1
set SCHEDULER_CREDENTIAL_VALUE_ERROR=0
if "%SCHEDULER_CREDENTIAL_VALUE_ARG2%"=="stdout" (
 echo %SCHEDULER_CREDENTIAL_VALUE%
)
goto finally

:finally
exit /b %SCHEDULER_CREDENTIAL_VALUE_ERROR%
:final