@echo off
if not "%1"=="" goto begin

@set thisname=%~nx0
@echo usage: %thisname% >&2
@echo          -e event-class >&2
@echo          -i event-id,                      default: exit code >&2
@echo          -x exit-code >&2
@echo         [-l allowed-exit-code[,allowed-exit-code[,...]]] >&2
@echo         [-j job-name,                      default: %%SCHEDULER_JOB_NAME%%] >&2
@echo         [-c job-chain,                     default: %%SCHEDULER_JOB_CHAIN%%] >&2
@echo         [-o order-id,                      default: %%SCHEDULER_ORDER_ID%%] >&2
@echo         [-h workload-job-scheduler-host,   default: %%SCHEDULER_HOST%%] >&2
@echo         [-p workload-job-scheduler-port,   default: %%SCHEDULER_TCP_PORT%%] >&2
@echo         [-s supervisor-job-scheduler-host, default: %%SCHEDULER_SUPERVISOR_HOST%%] >&2
@echo         [-r supervisor-job-scheduler-port, default: %%SCHEDULER_SUPERVISOR_PORT%%] >&2
@echo         [-k supervisor-job-chain,          default: /sos/events/scheduler_event_service] >&2
@echo         [-w add^|remove^|check,              default: add] >&2
@echo         [-t never^|expiration-date (ISO)] >&2
@echo         [-tc expiration-cycle (hh:mm[:ss])] >&2
@echo         [-tp expiration-period (hh:mm[:ss])] >&2
@echo         [-a XPath expression,              for -w=check] >&2
@echo         [-d "name=value[,name=value[,...]]"] >&2
@echo             wrapping double quotes (^") are required! >&2
@echo             if 'value' contains a double quote (^") then type ^"^" or ^&quot; >&2
@echo             if 'value' contains a percent (%%) then type %%%% or ^&#37; >&2
@echo         [-u joc-cockpit-url] >&2
@echo         [-n joc-cockpit-account:joc-cockpit-password] >&2
@echo         [-b job-scheduler-id] >&2
@echo         [-m http-timeout] >&2
goto end

:begin
SETLOCAL DISABLEDELAYEDEXPANSION

@set cwd=%~d0%~p0
@set cwd=%cwd:~0,-1%
@set tmp_file=%TMP%\%thisname%.%RANDOM%
@set JOB_SCHEDULER_COUNT_EVENTS=0
@set JOBSCHEDULER_EVENTS_EXIT=0

@powershell.exe -NoLogo -Noninteractive "& '%cwd%/jobscheduler_event.ps1' %*" 1> %tmp_file%

@set JOBSCHEDULER_EVENTS_EXIT=%ERRORLEVEL%

if not ERRORLEVEL 1 (
    for /F "usebackq tokens=1" %%i in ( %tmp_file% ) do (
        set JOB_SCHEDULER_COUNT_EVENTS=%%i
    )
)

if exist %tmp_file% (
    type %tmp_file%
    del /Q %tmp_file% >nul 2>nul
)

:end
ENDLOCAL&set JOB_SCHEDULER_COUNT_EVENTS=%JOB_SCHEDULER_COUNT_EVENTS%&set /A JOBSCHEDULER_EVENTS_EXIT=%JOBSCHEDULER_EVENTS_EXIT%
exit /B %JOBSCHEDULER_EVENTS_EXIT%